#-------------------------------------------------------------------------------
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
# 
# Contact Info:
# 	Bruce Donald
# 	Duke University
# 	Department of Computer Science
# 	Levine Science Research Center (LSRC)
# 	Durham
# 	NC 27708-0129 
# 	USA
# 	brd@cs.duke.edu
# 
# Copyright (C) 2011 Jeffrey W. Martin and Bruce R. Donald
# 
# <signature of Bruce Donald>, April 2011
# Bruce Donald, Professor of Computer Science
#-------------------------------------------------------------------------------


import share, jdshot, util, jvm

jdshot.getJvm().start( "-Xmx1g" )

def run( outPath, inDir ):
	
	# combine the individual structures into a single pdb
	proteins = share.loadProteinsFromDir( inDir )
	share.writeProteins( outPath, proteins )
	
	# get just the backbones
	backbones = jvm.f.java.util.ArrayList()
	for protein in proteins:
		backbones.add( protein.getBackbone() )
	
	print "avg all-atom variance: %f" % share.getAverageVariance( proteins )
	print "avg backbone variance: %f" % share.getAverageVariance( backbones )


# set up paths
dirResults = "/home/jeff/duke/donaldLab/workspace/jdshot/output"

# GB1
dirResultsGB1 = dirResults + "/gb1/minimized";
run(
	dirResultsGB1 + "/minimizedStructures.pdb",
	dirResultsGB1 + "/structures"
)

# DAGK
#dirResultsDAGK = dirResults + "/DAGK/xplor"
#run(
#	dirResultsDAGK + "/xplorEnsemble.pdb",
#	dirResultsDAGK + "/accept"
#)
